
From: Arjan van de Ven <arjan@infradead.org>

For -mm only to increease testing; enable the randomisations by default

Signed-off-by: Arjan van de Ven <arjan@infradead.org>
Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/kernel.h |    2 +-
 25-akpm/kernel/sysctl.c        |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/sysctl.c~randomisation-enable-by-default kernel/sysctl.c
--- 25/kernel/sysctl.c~randomisation-enable-by-default	2005-02-04 13:15:32.627777688 -0800
+++ 25-akpm/kernel/sysctl.c	2005-02-04 13:15:32.631777080 -0800
@@ -121,7 +121,7 @@ extern int sysctl_hz_timer;
 extern int acct_parm[];
 #endif
 
-int randomize_va_space;
+int randomize_va_space = 1;
 
 static int parse_table(int __user *, int, void __user *, size_t __user *, void __user *, size_t,
 		       ctl_table *, void **);
diff -puN include/linux/kernel.h~randomisation-enable-by-default include/linux/kernel.h
--- 25/include/linux/kernel.h~randomisation-enable-by-default	2005-02-04 13:15:40.436590568 -0800
+++ 25-akpm/include/linux/kernel.h	2005-02-04 13:15:43.594110552 -0800
@@ -281,7 +281,7 @@ extern void BUILD_BUG(void);
 #ifdef CONFIG_SYSCTL
 extern int randomize_va_space;
 #else
-#define randomize_va_space 0
+#define randomize_va_space 1
 #endif
 
 /* Trap pasters of __FUNCTION__ at compile-time */
_
